Bug 117322 - Unwanted code present when exporting to ePub in 6.0.2.1 from Writer - Windows 10
Summary: Unwanted code present when exporting to ePub in 6.0.2.1 from Writer - Windows 10
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EPUB-Export
  Show dependency treegraph
 
Reported: 2018-04-28 19:02 UTC by Azrael Arocha
Modified: 2019-11-17 03:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Tabletop RPG exporting to ePub with weird code (1.60 MB, application/vnd.oasis.opendocument.text)
2018-04-29 20:27 UTC, Azrael Arocha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Azrael Arocha 2018-04-28 19:02:02 UTC
Description:
Hi!

I'm having the following issue when exporting to ePub:

I have a 100+ page document that looks fine on LO but when I export it to ePub there are random sections of text (full paragraphs and pages) that have weird decorations that I didn't even know existed in LO.

I've download Sigil to find out the issue and I can see code like:

* < p style="margin: 0px 0px 0px 0px; text-align: justify; ">< span style="background-color: transparent; font-effect: outline; font-family: 'Linux Libertine Display G5'; font-size: 10.0000pt; font-style: normal; font-weight: normal; text-decoration: overline; text-shadow: 1px 1px 1px #666666; ">

* < /span>< span style="background-color: transparent; font-effect: outline; font-family: 'Linux Libertine Display G5'; font-size: 10.0000pt; font-style: normal; font-weight: normal; text-decoration: overline; text-shadow: 1px 1px 1px #666666; "> and others similar to those.
Other instances of this show when "Line through" code is present, so I think It might be a leftover from a time when I did that to something and maybe deleted the line through text but I can't confirm that that's the only source of the problem.

In Sigil I've found over 2000 (Not a typo, I do mean over two thousand) instances of those annoying decorations in the whole document through the "Find" feature.

Can anyone tell me how to get rid of those lines of code within LO in order to be able to make changes there and Export to ePub without having use Sigil to fix the ePub version every time I make a tiny correction to the source?

None of this issues are shown in LO so I can't figure out how to delete the code in it. Images:

LO Version: https://uploads.disquscdn.com/images/0dd2ccf43902d1e123ec304d0cf47a7fee44648c3cfd88f32624ef2f9deae942.png

ePub Version: https://uploads.disquscdn.com/images/ee8427c88492f7c7cf253657bf8593175a7e801d6ffa92668167930bc8a44363.png

Code found in Sigil: https://i.imgur.com/RAzENhM.png

THANK YOU in ADVANCE! and keep up the good work :)



Steps to Reproduce:
1. Export to ePub
2. Some text has weird decorations, others show as intended
3.

Actual Results:  
Some Text shows weird decorations in ePub file that aren't present on Writer or PDF format while others show formating as seen in Wirter

Expected Results:
All text to be shown in the format seen in Writer


Reproducible: Couldn't Reproduce


User Profile Reset: No



Additional Info:
I've been using LO for a few years now and just found this issue as this is the first time I try to export to ePub. Can't really get the isue to repeat as I'm not aware of exactly how to go about on doing it. I tried creating new files and test but it might be a thing that's been carried over from previous version and I really don't know how to proceed.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.139 Safari/537.36
Comment 1 Dieter 2018-04-29 18:57:45 UTC
(In reply to Azrael Arocha from comment #0)
> Reproducible: Couldn't Reproduce

Does this me, you couldn't reproduce with the same document or with another document?
Comment 2 Azrael Arocha 2018-04-29 20:11:23 UTC
I couldn't reproduce it with other new document I create for testing.

This does happen every time I export that document to ePub even after upgrading to 6.0.3.2 and it also happens when exporting other documents from the same project.
Comment 3 Dieter 2018-04-29 20:17:13 UTC
Is it possible to attach a document or a small part of a document (like the small part of the document in your screenshot), so that other users can try to reproduce it?
Comment 4 Azrael Arocha 2018-04-29 20:27:42 UTC
Created attachment 141766 [details]
Tabletop RPG exporting to ePub with weird code

Sure!

I'll attach the full thing since I found that the way the code is been exported is treating text like each line needs formatting even if they are part of the same thing. 

No joke, I remove the code with Sigil and over 5000 instances of the issue poped up in the whole document. It was insane.
Comment 5 Dieter 2018-04-30 06:21:04 UTC
I can confirm it with

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 775d0f26beecffccf3ed27a6a011aff20d91f842
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_01:05:25
Locale: en-US (de_DE); Calc: CL
Comment 6 Xisco Faulí 2018-05-02 16:10:22 UTC
@Miklos, I thought you might be interested in this issue...
Comment 7 lbartolome 2018-11-16 20:18:49 UTC
(In reply to Azrael Arocha from comment #0)
> Can anyone tell me how to get rid of those lines of code within LO in order
> to be able to make changes there and Export to ePub without having use Sigil
> to fix the ePub version every time I make a tiny correction to the source?
> 
> None of this issues are shown in LO so I can't figure out how to delete the
> code in it. 
If it's of some help to you, open a new document, paste as plain text your 100 pages, reformat. The new output should be clean.

By the way, the epub generated in Versión: 6.2.0.0.alpha1 (x64) has no weird code that I could see. Only the regular span tags around edited text.
Comment 8 QA Administrators 2019-11-17 03:32:13 UTC
Dear Azrael Arocha,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug